Statistics
1006
6
1
1.6y
Badges
Dependencies

Joseki/LeanMapper-extension Build Status

Requirements

Joseki/LeanMapper-extension requires PHP 5.4 or higher.

Installation

The best way to install Joseki/LeanMapper-extension is using Composer:

"require": {
    "joseki/leanmapper-extension": "~1.0"
}

With Nette stable 2.1 or newer, this is how you install the extension

LeanMapperExtension: Joseki\LeanMapper\DI\Extension

LeanMapperExtension:
    db:
        host: host
        username: username
        password: password
        driver: driver
        database: database
        # optional
        lazy: TRUE
    # optional
    profiler: TRUE
    logFile: path/to/log/file

Tutorial

Need help? Read tutorial!

  • v1.4.0 Released version 1.4

    PackageMapper refactored - new Instance no longer depend on array of all repositories and their table names and schema. Instead there is a new methor ::registerTable for adding metadata one by one. This is required mainly for dependency issues and DI Extension which would erase all arguments when redeclaring mapper class in config.neon. This setups are now called on beforeCompile event.

  • v1.3.6 Released version 1.3.6

    • PackageMapper: fixed relation column name
    • travis CI: PHP7 is no longer allowed for failing
  • v1.3.5 Released version 1.3.5

    • DI: improved schema support - fixed closure tables, fixed non schema to schema mapping (entity property annotations compatibility)
    • tests: refactored
  • v1.3.4 Released version 1.3.4

    • DI: added database schema support
  • v1.3.3 Released version 1.3.3

    • Repository: added findByPairs
    • tests: added tests for transaction hierarchy
    • Entity: fixed hasOne relationship setter using non entity value
  • v1.3.2 Released version 1.3.2

    • PackageMapper: allows nullable table when calling relation from closure entity
  • v1.3.1 Released version 1.3.1

    • fixed PackageMapper getTable() and getTableByRepositoryClass() to work with new mapping via config
    • improved Query PhpDoc to avoid IDE inspections warnings
  • v1.3.0 Released version 1.3

    • Closure: added create and move
    • DI: repositories are registered the same way like presenters in Nette (BC break)
    • DI: allows custom table names with custom Entity/Repository namespaces via config Map (BC break)
    • DI: config changed (BC break)
    • Utils: extracted method for camel/snake case transformation and class/namespace extraction (BC break)
  • v1.2.0 Released version 1.2

    • DI Extension no longer depends on mapper::DEFAULT_NAMESPACE
    • PackageMapper Mapper::DEFAULT_NAMESPACE replaced with dependency on default namespace
    • new tests database engine
    • PHP 5.3 is no longer supported
    • new config parameters BC BREAK
  • v1.1.0 Released version 1.1

  • v1.0.5 Released version 1.0.5

  • v1.0.1 Released version 1.0.1

    fixed Composer compatibility on LM

  • v1.0.0 Released version 1.0.0

  • v0.1.0 Version 0.1 Released

Is this addon outdated? Did you find an issue? Please report it.

Componette Componette admin@componette.com